#
# spec file for package testing-overlay-release (Version Master)
#
# Copyright (c) 2023 openSUSE.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://github.com/uyuni-project/uyuni/issues/
#



Name:           testing-overlay-release
%define         product testing-overlay
Summary:        Testing Overlay%{?betaversion: %{betaversion}}
Version:        Master
Release:        230900.12.7.uyuni3
License:        BSD-3-Clause
Group:          System/Fhs
%global debug_package %{nil}

Provides:       %name-%version
Provides:       product() = testing-overlay
Provides:       product(testing-overlay) = Master-0
Provides:       product-label() = Testing%20Overlay
Provides:       product-cpeid() = cpe%3A%2Fo%3Aopensuse%3Atesting%2Doverlay%3Amaster
Provides:       product-url(bugtracker) = https%3A%2F%2Fgithub.com%2Fuyuni%2Dproject%2Fuyuni%2Fissues%2F
Provides:       product-url(repository) = https%3A%2F%2Fdownload.opensuse.org%2Frepositories%2Fsystemsmanagement%3A%2FUyuni%3A%2FStable%2Fimages%2Frepo%2FTesting%2DOverlay%2DPOOL%2D%{_target_cpu}%2DMedia1

Requires:       product(Leap) >= 15.3

AutoReqProv:    on

%description





%prep

%build


%install
mkdir -p %{buildroot}%{_sysconfdir}/products.d
cat >%{buildroot}%{_sysconfdir}/products.d/testing-overlay.prod << EOF
<?xml version="1.0" encoding="UTF-8"?>
<product schemeversion="0">
  <vendor>openSUSE</vendor>
  <name>testing-overlay</name>
  <version>Master</version>
  <release>0</release>
  <arch>%{_target_cpu}</arch>
  <cpeid>cpe:/o:opensuse:testing-overlay:master</cpeid>
  <productline>uyuni-testing</productline>
  <register>
    <pool>
    </pool>
    <updates>
    </updates>
  </register>
  <repositories>
  </repositories>
  <summary>Testing Overlay</summary>
  <shortsummary>Testing Overlay</shortsummary>
  <description/>
  <urls>
    <url name="bugtracker">https://github.com/uyuni-project/uyuni/issues/</url>
    <url name="repository">https://download.opensuse.org/repositories/systemsmanagement:/Uyuni:/Stable/images/repo/Testing-Overlay-POOL-%{_target_cpu}-Media1</url>
  </urls>
  <buildconfig>
    <producttheme>openSUSE</producttheme>
  </buildconfig>
  <installconfig>
    <defaultlang>en_US</defaultlang>
    <datadir>suse</datadir>
    <descriptiondir>suse/setup/descr</descriptiondir>
    <releasepackage name="Testing-Overlay-release" flag="EQ" version="%{version}" release="%{release}"/>
    <distribution>openSUSE</distribution>
  </installconfig>
  <runtimeconfig/>
  <productdependency relationship="requires" name="Leap" version="15.3" flag="GE"/>
</product>

EOF



%files
%defattr(644,root,root,755)
%dir %{_sysconfdir}/products.d
%{_sysconfdir}/products.d/*.prod

%changelog
